import java.util.Scanner;

public class Meteoro {

	public static void main(String[] args) {
		Scanner scan = new Scanner(System.in);
		//Número de testes
		int teste = 0;
		//Pega a primeira linha de entrada como String
		String linha = scan.nextLine();
		//Enquanto todos os valores forem diferentes de zero
		while(!linha.equals("0 0 0 0")){
			//Split na linha de entrada e converte os valores captados
			String[] input = linha.split(" ");
			int x1 = Integer.parseInt(input[0]);
			int y1 = Integer.parseInt(input[1]);
			int x2 = Integer.parseInt(input[2]);
			int y2 = Integer.parseInt(input[3]);
			//Contador de meteoros que caíram na propriedade
			int resp = 0;
			//Le quantos meteoros caíram
			int met = scan.nextInt();
			//Laço que pega as posições dos meteoros e verifica se eles caíram dentro da propriedade
			for(int i = 0; i < met; i++){
				int x = scan.nextInt();
				int y = scan.nextInt();

				//Condições em que ele não caiu dentro da 
				//propriedade pulam para próxima iteração sem incrementar a resposta
				if(x < x1 ||x > x2 || y > y1 || y < y2) continue;
				resp++;
			}
			//Incrementa os casos de teste
			teste++;
			//Imprime a resposta conforme o modelo
			System.out.println("Teste " + teste + "\n"+ resp);
			//Entre cada entrada há uma quebra de linha que precisa ser desconsiderada
			scan.nextLine();
			//Lê a próxima linha
			linha = scan.nextLine();
		}
	}
}
